Spell Editor for WoW versions [3.3.5] [2.4.3] [1.12.1] menu

User Tag List

Page 1 of 4 1234 LastLast
Results 1 to 15 of 58
  1. #1
    stoneharry's Avatar Moderator Harry


    Reputation
    1549
    Join Date
    Sep 2007
    Posts
    4,473
    Thanks G/R
    132/121
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Spell Editor for WoW versions [3.3.5] [2.4.3] [1.12.1]

    I have created a Spell Editor for WoW versions 1.12.1, 2.4.3, or 3.3.5a. You can also use it to import/export any version DBC file to and from SQL.

    You can download from here: Releases . stoneharry/WoW-Spell-Editor . GitHub

    Source code: GitHub - stoneharry/WoW-Spell-Editor: A Spell Editor for WoW versions WOTLK 3.3.5, TBC 2.4.3, or Vanilla 1.12.1.


    Last edited by stoneharry; 01-09-2020 at 04:22 PM. Reason: updated links

    These ads disappear when you log in.

  2. Thanks Profesar, Harambeqt, Teryaki, bone91, DarkLinux (5 members gave Thanks to stoneharry for this useful post)
  3. #2
    OotHE's Avatar Contributor
    Reputation
    169
    Join Date
    May 2009
    Posts
    280
    Thanks G/R
    64/17
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Why does this have no replies? Amazing!

    EDIT: Is there any chance you can include a tutorial on how to use this properly for simpletons like myself? :3
    Last edited by OotHE; 06-26-2014 at 07:40 PM.
    ~"In Exploration, we believe, and in Discovery we practice. Keep exploration alive!"~

  4. #3
    stoneharry's Avatar Moderator Harry


    Reputation
    1549
    Join Date
    Sep 2007
    Posts
    4,473
    Thanks G/R
    132/121
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Originally Posted by OotHE View Post
    Why does this have no replies? Amazing!

    EDIT: Is there any chance you can include a tutorial on how to use this properly for simpletons like myself? :3
    What do you wish to know about it? Spell editing is not easy (I haven't really done much spell editing myself) but this GUI makes everything a ton easier. Best bet is to look at how existing spells are implemented then try to copy and modify their values.

  5. #4
    Iaccidentallytwink's Avatar Elite User
    Reputation
    590
    Join Date
    Aug 2007
    Posts
    1,020
    Thanks G/R
    1/16
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Any plans to create something like this for other version of WoW? 1.12.1, 4.3.4, 2.4.3? I assume the only difference is the DBC structure so it would be an easy change, yeah?


  6. #5
    stoneharry's Avatar Moderator Harry


    Reputation
    1549
    Join Date
    Sep 2007
    Posts
    4,473
    Thanks G/R
    132/121
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Originally Posted by Iaccidentallytwink View Post
    Any plans to create something like this for other version of WoW? 1.12.1, 4.3.4, 2.4.3? I assume the only difference is the DBC structure so it would be an easy change, yeah?
    Easy changes, yes. But no I do not plan on doing it. It was boring enough making this.

  7. #6
    alucard001's Avatar Active Member
    Reputation
    25
    Join Date
    Apr 2012
    Posts
    184
    Thanks G/R
    0/1
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Needing this on WoD patch

  8. #7
    stoneharry's Avatar Moderator Harry


    Reputation
    1549
    Join Date
    Sep 2007
    Posts
    4,473
    Thanks G/R
    132/121
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Originally Posted by alucard001 View Post
    Needing this on WoD patch
    Why? No good WoD emulation yet.

    Also the format of the DBC's completely changed with Cataclysm.

  9. #8
    stoneharry's Avatar Moderator Harry


    Reputation
    1549
    Join Date
    Sep 2007
    Posts
    4,473
    Thanks G/R
    132/121
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I have pushed a new version, includes:

    • Fixed localisation.
    • Improved code greatly.
    • Control's are now thread-safe so can be updated asynchronously. Stops the 'freezing' when you click spells.
    • Documented more known values.

  10. #9
    Teryaki's Avatar Legendary Explorer CoreCoins Purchaser
    Reputation
    662
    Join Date
    Mar 2010
    Posts
    944
    Thanks G/R
    99/77
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Hey stoneharry, just wanted to say thanks for creating and updating this, it has saved me so much time!

    I do have one question however, is it possible to use custom icons? I downloaded the icons from Cataclysm, Mop, WoD, etc into the /Interface/Icons/ folder and edited the SpellIcon.dbc so that it would appear, but the program just crashes. I can edit the Spell.dbc manually and add the Spell Icon ID and it shows client side. If its not possible that's ok too, I was just wondering if it was an easy fix so the program wouldn't crash, I have no problems adding it manually.

    Thanks again!
    My Exploration Channel: Teryaki's Channel
    Teryaki#1806

  11. #10
    stoneharry's Avatar Moderator Harry


    Reputation
    1549
    Join Date
    Sep 2007
    Posts
    4,473
    Thanks G/R
    132/121
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Originally Posted by Teryaki View Post
    Hey stoneharry, just wanted to say thanks for creating and updating this, it has saved me so much time!

    I do have one question however, is it possible to use custom icons? I downloaded the icons from Cataclysm, Mop, WoD, etc into the /Interface/Icons/ folder and edited the SpellIcon.dbc so that it would appear, but the program just crashes. I can edit the Spell.dbc manually and add the Spell Icon ID and it shows client side. If its not possible that's ok too, I was just wondering if it was an easy fix so the program wouldn't crash, I have no problems adding it manually.

    Thanks again!
    If you upload your modified SpellIcon.dbc and all the new files for me then I'll debug as to why it is crashing, and hopefully fix it.

    edit:

    I'm on my laptop at the moment actually and the program crashes when I click on the icons tab using the normal WOTLK data, so it might be related to allocated memory. I can't install visual studio on this laptop sadly and I will not be back at my desktop for a week or so, can look at it then.
    Last edited by stoneharry; 07-19-2015 at 11:38 AM.

  12. #11
    stoneharry's Avatar Moderator Harry


    Reputation
    1549
    Join Date
    Sep 2007
    Posts
    4,473
    Thanks G/R
    132/121
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Deployed a new build.

    Flat file DBC editing is no longer supported - all edits are done from MySQL. A spell DBC can be imported into a MySQL database and the MySQL database can be exported to a new Spell.DBC.

    This allows for multiple people to edit the same database at the same time.

    This version also brings along many improvements and bug fixes over the older versions.

    Please report any bugs you find on the GitHub page.
    Last edited by stoneharry; 08-16-2015 at 10:54 AM.

  13. #12
    Ordua's Avatar Member
    Reputation
    1
    Join Date
    Jan 2016
    Posts
    1
    Thanks G/R
    0/0
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    I'm new, please excuse any issues.

    Whenever I start up and fill out my information for the MySQL, it says "An error occurred setting up MySQL connection: Authentication with old password no longer supported, please use 4.1 style passwords". I am filling out all my information correctly and have even reinstalled the program. If you could get back to me on why I am having this issue that would be great. Also, please excuse any errors with this reply. I am VERY new to this site.

  14. #13
    stoneharry's Avatar Moderator Harry


    Reputation
    1549
    Join Date
    Sep 2007
    Posts
    4,473
    Thanks G/R
    132/121
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Originally Posted by Ordua View Post
    Whenever I start up and fill out my information for the MySQL, it says "An error occurred setting up MySQL connection: Authentication with old password no longer supported, please use 4.1 style passwords". I am filling out all my information correctly and have even reinstalled the program. If you could get back to me on why I am having this issue that would be great. Also, please excuse any errors with this reply. I am VERY new to this site.
    It's a MySQL error related to how the spell editor connects to your MySQL server. Your version is new and my program is apparently now out of date with the new MySQL. I can fix this in a week, but on holiday at the moment.

  15. #14
    veng455's Avatar Member
    Reputation
    2
    Join Date
    Apr 2014
    Posts
    47
    Thanks G/R
    2/1
    Trade Feedback
    3 (100%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    still working great
    Last edited by veng455; 10-23-2018 at 11:35 AM. Reason: found out

  16. Thanks stoneharry (1 members gave Thanks to veng455 for this useful post)
  17. #15
    stoneharry's Avatar Moderator Harry


    Reputation
    1549
    Join Date
    Sep 2007
    Posts
    4,473
    Thanks G/R
    132/121
    Trade Feedback
    0 (0%)
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I have updated this to include support for 1.12.1 and 2.4.3 as well.
    Last edited by stoneharry; 01-09-2020 at 04:23 PM.

Page 1 of 4 1234 LastLast

Similar Threads

  1. [DBC Edit] Spell editor for 4.3.4
    By darhy in forum World of Warcraft Model Editing
    Replies: 0
    Last Post: 04-16-2019, 12:52 PM
  2. Any Bots pvp/pve for old versions of WoW? (Not Pirox)
    By lilsammy in forum WoW Bots Questions & Requests
    Replies: 4
    Last Post: 08-30-2011, 11:19 PM
  3. All spells npc obgects and items for wow Ps
    By lward53 in forum World of Warcraft Exploits
    Replies: 2
    Last Post: 08-30-2010, 11:39 PM
  4. [Misc] [Release] WoWEmuHacker5.0.5.4 for WoW version 3.3.5
    By Eliteplague in forum WoW EMU Programs
    Replies: 8
    Last Post: 07-12-2010, 01:27 PM
  5. WoW Map Editor for 3.3.3a
    By shaman21 in forum WoW ME Questions and Requests
    Replies: 1
    Last Post: 04-27-2010, 06:04 PM
All times are GMT -5. The time now is 07:07 AM. Powered by vBulletin® Version 4.2.3
Copyright © 2021 vBulletin Solutions, Inc. All rights reserved. User Alert System provided by Advanced User Tagging (Pro) - vBulletin Mods & Addons Copyright © 2021 DragonByte Technologies Ltd.
Digital Point modules: Sphinx-based search